Bug 1049320 - [RFE] Focused object in Tree - not clear enough / Problem will increase when collapse tree feature will be introduced
Summary: [RFE] Focused object in Tree - not clear enough / Problem will increase when ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
: ---
Assignee: Nobody
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 12:27 UTC by Eldan Hildesheim
Modified: 2017-05-15 06:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-15 06:35:00 UTC
oVirt Team: UX
ylavi: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
Solution for Focused object in Tree (134.31 KB, image/png)
2014-01-07 12:27 UTC, Eldan Hildesheim
no flags Details
screen-shot: tags - before patternfly vs with patternfly (87.42 KB, image/png)
2015-11-18 01:40 UTC, Einav Cohen
no flags Details
New left area according patternfly (91.25 KB, image/jpeg)
2015-11-18 10:09 UTC, Eldan Hildesheim
no flags Details
How to handle selection in tree, bookmarks and tags (123.86 KB, image/jpeg)
2015-11-19 08:39 UTC, Eldan Hildesheim
no flags Details

Description Eldan Hildesheim 2014-01-07 12:27:02 UTC
Created attachment 846635 [details]
Solution for Focused object in Tree

It happens that when selecting a node in the tree (example: a specific datacenter), I tend to forget that I'm not on the system level.
If I'm looking for a VM that is not on that datacenter, I won't find it since I'm not on the system scope.
Why is that happening?
I think we do not graphically clarify the user that he is not on the system level, the object selection on the tree is not clear enough.

This problem will increase when introducing the collapse tree feature since now the user won't be able to see he is not in the system level.

It is true that part of the users do not use the tree but this doesn't solve the problem.

I propose to solve the problem graphically - example included.
The blue background will change the grey one we have now.
Each time a non-system node will be clicked the blue background will be shown and remind the user he is not in the system level.
Technically it means we need only to change 2 css styles in the code.

Comment 1 Yaniv Kaul 2015-11-12 13:05:28 UTC
Einav - work estimate?

Comment 2 Einav Cohen 2015-11-18 01:40:31 UTC
Created attachment 1095783 [details]
screen-shot: tags - before patternfly vs with patternfly

Comment 3 Einav Cohen 2015-11-18 01:49:44 UTC
Eldan, your suggestion is definitely valid. 

We already have something similar for the Tags tree, and it definitely helps to explicitly indicate that we are in a context other than the "regular" one. 
I believe that the solution for tags and the solution for the system tree should be identical, maybe only the color itself should change. 

Need to take a few things into consideration:

- Note that your suggestion (attachment 846635 [details]) is on the UI before PatternFly was applied to it. 

- Note that your suggestion (attachment 846635 [details]) is slightly different than what existed for Tags before PatternFly was applied (see top image in attachment 1095783 [details]); and as I mentioned, I believe that the solution for Tags and for Bookmarks should be identical. 

- Note that when we moved to PatternFly, the tags-context (light-green) indication has changed as well and seems a buggy (e.g. no light-green overlay on anything in the search-bar except the 'x' button) - see attachment 1095783 [details] - compare top image to bottom image. 
We need to fix that, and apply the same concept for the System tree as well. 

@Eldan: taking all of the above into consideration: can you please come up with an updated solution suggestion (for both Tags and System trees, and on the current version of the UI, i.e. the one on which PatternFly has been applied to the UI header)? thanks.

Comment 4 Einav Cohen 2015-11-18 01:50:29 UTC
(In reply to Yaniv Kaul from comment #1)
> Einav - work estimate?

once Eldan will come up with an updated suggestion, we will be able to estimate the work (current suggestion is outdated).

Comment 5 Eldan Hildesheim 2015-11-18 10:09:56 UTC
Created attachment 1095933 [details]
New left area according patternfly

The patternfly color for the left selected bar is in hexa:0199d3
Also added the triangle for collapse/expand, they can be found here: https://www.patternfly.org/styles/icons/
Though if the patternfly project is included in the ovirt project, use their api.

Comment 6 Einav Cohen 2015-11-18 12:49:34 UTC
(In reply to Eldan Hildesheim from comment #5)
> Created attachment 1095933 [details]
> New left area according patternfly
> 
> The patternfly color for the left selected bar is in hexa:0199d3
> Also added the triangle for collapse/expand, they can be found here:
> https://www.patternfly.org/styles/icons/
> Though if the patternfly project is included in the ovirt project, use their
> api.

Hi Eldan, I apologize - I did not understand anything. 
The only thing that you have suggested here, to my understanding, is to change the background-color of the selected node of the System tree. 

Can you please read carefully Comment #3 and put together a solution for:
(1) indicating that we are in a pinned-Tag context (tags tree). 
(2) indicating that we are in a non-System node context (System tree). 
?

Again, I believe that solution for (1) and (2) should be identical, and differ only in color, potentially. 

Thanks.

Comment 7 Eldan Hildesheim 2015-11-18 13:25:15 UTC
Let's take it offline cause I don't understand the problem

Comment 8 Eldan Hildesheim 2015-11-19 08:39:44 UTC
Created attachment 1096541 [details]
How to handle selection in tree, bookmarks and tags

Tree and bookmarks should be handle with the same color - #0199d3.
The tree selection has additionally, the part in the search bar as well to be colored with the same color.
The text here is white on the blue background.

The tags are colored with the light green.
It's fine to leave the "x" (reset) button in green as well - it will emphasize that to remove the tags - it will do the job.
The text here is dark on the light green background.

Comment 9 Oved Ourfali 2017-05-15 06:35:00 UTC
Closed as we're removing the tree in 4.2.


Note You need to log in before you can comment on or make changes to this bug.